Config { overrideRedirect = False
       , font     = "xft:FiraCode Nerd Font:size=10",
         additionalFonts = [ "xft:FiraCode Nerd Font:bold:pixelsize=19:antialias=true:hinting=true"
                           , "xft:FiraCode Nerd Font:bold:pixelsize=25:antialias=true:hinting=true"
                           , "xft:FiraCode Nerd Font:bold:pixelsize=20:antialias=true:hinting=true" ]

       , bgColor  = "BGCOLOR"
       , fgColor  = "FGCOLOR"
       , position = TopW L 100
       , iconRoot = ".config/xmobar/xpm/"
       , commands = [Run Cpu
                        [ "--template", "<total>%"
                        ,"-w", "2"
                        ] 10
                    , Run Alsa "default" "Master"
                        [ "--template", "<volumestatus>"
                        , "--suffix"  , "True"
                        , "--"
                        , "--on", ""
                        ]
                    , Run Memory ["--template", "<used>"] 10
                    , Run Date "%a %Y-%m-%d<fn=2><fc=BGCOLOR,COLOR9:0></fc></fn><fc=COLOR6,BGCOLOR:0>%H:%M</fc>" "date" 10
                    , Run XMonadLog
                    , Run Com "get_music_info" [] "" 10
                    , Run Com "wttr" [] "" 360
                    ]
       , sepChar  = "%"
       , alignSep = "}{"
       , template = " <fn=2> </fn>%XMonadLog% }{\
        \<fn=2><fc=COLOR9,BGCOLOR:0></fc></fn><fc=FGCOLOR,COLOR9:0>%get_music_info%</fc>\
        \<fn=2><fc=BGCOLOR,COLOR9:0></fc></fn><fc=FGCOLOR,BGCOLOR:0><fn=1><fc=COLOR9> </fc></fn>%alsa:default:Master%</fc>\
        \<fn=2><fc=COLOR9,BGCOLOR:0></fc></fn><fc=FGCOLOR,COLOR9:0><fn=1><fc=BGCOLOR,COLOR9:0>﬙ </fc></fn>%cpu%</fc>\
        \<fn=2><fc=BGCOLOR,COLOR9:0></fc></fn><fc=FGCOLOR,BGCOLOR:0><fn=1><fc=COLOR9> </fc></fn>%memory%</fc>\
        \<fn=2><fc=COLOR9,BGCOLOR:0></fc></fn><fc=FGCOLOR,COLOR9:0>%date%</fc>\
        \<fn=2><fc=COLOR9,BGCOLOR:0></fc></fn><fc=FGCOLOR,COLOR9:0>%wttr%</fc>"
