(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ansi-color-names-vector
   ["#282828" "#fb4934" "#b8bb26" "#fabd2f" "#83a598" "#cc241d" "#8ec07c" "#ebdbb2"])
 '(custom-safe-themes
   '("2035a16494e06636134de6d572ec47c30e26c3447eafeb6d3a9e8aee73732396" "8a379e7ac3a57e64de672dd744d4730b3bdb88ae328e8106f95cd81cbd44e0b6" "6c531d6c3dbc344045af7829a3a20a09929e6c41d7a7278963f7d3215139f6a7" default))
 '(exwm-floating-border-color "#504945")
 '(fci-rule-color "#7c6f64")
 '(highlight-tail-colors ((("#363627" "#363627") . 0) (("#323730" "#323730") . 20)))
 '(jdee-db-active-breakpoint-face-colors (cons "#0d1011" "#fabd2f"))
 '(jdee-db-requested-breakpoint-face-colors (cons "#0d1011" "#b8bb26"))
 '(jdee-db-spec-breakpoint-face-colors (cons "#0d1011" "#928374"))
 '(objed-cursor-color "#fb4934")
 '(package-selected-packages
   '(theme-magic xresources-theme exec-path-from-shell lsp-haskell lsp-ui))
 '(pdf-view-midnight-colors (cons "#ebdbb2" "#282828"))
 '(rustic-ansi-faces
   ["#282828" "#fb4934" "#b8bb26" "#fabd2f" "#83a598" "#cc241d" "#8ec07c" "#ebdbb2"])
 '(vc-annotate-background "#282828")
 '(vc-annotate-color-map
   (list
    (cons 20 "#b8bb26")
    (cons 40 "#cebb29")
    (cons 60 "#e3bc2c")
    (cons 80 "#fabd2f")
    (cons 100 "#fba827")
    (cons 120 "#fc9420")
    (cons 140 "#fe8019")
    (cons 160 "#ed611a")
    (cons 180 "#dc421b")
    (cons 200 "#cc241d")
    (cons 220 "#db3024")
    (cons 240 "#eb3c2c")
    (cons 260 "#fb4934")
    (cons 280 "#e05744")
    (cons 300 "#c66554")
    (cons 320 "#ac7464")
    (cons 340 "#7c6f64")
    (cons 360 "#7c6f64")))
 '(vc-annotate-very-old-color nil))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(markdown-header-face-1 ((t (:foreground "#1bae94" :height 1.25 :weight extra-bold :inherit markdown-header-face))))
 '(markdown-header-face-2 ((t (:foreground "#1bae94" :height 1.15 :weight bold :inherit markdown-header-face))))
 '(markdown-header-face-3 ((t (:foreground "#1bae94" :height 1.15 :weight bold :inherit markdown-header-face))))
 '(markdown-header-face-4 ((t (:foreground "#1bae94" :height 1.15 :weight bold :inherit markdown-header-face))))
 '(markdown-header-face-5 ((t (:foreground "#1bae94" :height 1.15 :weight bold :inherit markdown-header-face))))
 '(markdown-header-face-6 ((t (:foreground "#1bae94" :height 1.15 :weight extra-bold :inherit markdown-header-face)))))
 (defvar my-wal-colors nil)

 (defun my-refresh-wal-colors ()
   (setq my-wal-colors
         (with-temp-buffer
           (insert-file-contents "~/.cache/wal/colors.json")
           (goto-char (point-min))
           (json-read))))

 (defun my-xresources-theme-color (name)
   (let ((category
          (if (or (string= name "background")
                  (string= name "foreground"))
              'special
            'colors)))
     (cdr
      (assoc (intern name)
             (assoc category my-wal-colors)))))

 (advice-add 'xresources-theme-color :override 'my-xresources-theme-color)

 (defun my-load-xresources ()
   (my-refresh-wal-colors)
   (load-theme 'xresources t))


;;;;; Markdown

(custom-set-faces!
  '(markdown-header-face-1 :foreground "#1bae94" :height 1.25 :weight extra-bold :inherit markdown-header-face)
  '(markdown-header-face-2 :foreground "#1bae94" :height 1.15 :weight bold       :inherit markdown-header-face)
  '(markdown-header-face-3 :foreground "#1bae94" :height 1.15 :weight bold       :inherit markdown-header-face)
  '(markdown-header-face-4 :foreground "#1bae94" :height 1.15 :weight bold       :inherit markdown-header-face)
  '(markdown-header-face-5 :foreground "#1bae94" :height 1.15 :weight bold       :inherit markdown-header-face)
  '(markdown-header-face-6 :foreground "#1bae94" :height 1.15 :weight extra-bold :inherit markdown-header-face))
